<?php
	$origen= isset($_REQUEST['origen']) ? (is_null($_REQUEST['origen'])? '':$_REQUEST['origen']) : '-';
    
    if ($origen!='-') {
             $origen=substr ( $origen , 0 ,7);
    }

    include '../rdb/conn.php';
    $result = array();
    
    $sql= "SELECT  count(*) FROM  mail_productores  WHERE  origen  like '".$origen."%'";
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    if ($row[0]===0) {
    $result["msg"]="No se encontro valores para los mails del productor $origen";
    return;
    }
    
    //ahora que se que hay regitro completo valores
    $sql= "SELECT   distinct mail_oficina 'to'    , concat(mail_sanidad,',',mail_direccion) 'copy'  FROM  mail_productores  e, mail_oficinas o
WHERE origen LIKE  '$origen%'
AND o.id = e.oficina_id";
   
    $rs = mysqli_query( $conn,$sql);
    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    echo json_encode($result);
    
    ?>
    